---
--- $Source: /home/ACDE/Work/MySQL/RCS/test.adb,v $
---
--- $Log: test.adb,v $
--- Revision 1.2  1999/10/30 15:51:02  ACDE
--- test code
---
--- Revision 1.1  1999/10/20 18:13:46  ACDE
--- new field access methods
---
--- Revision 1.1  1999/10/10 07:47:45  src
--- No comments
---
---		  
with Ada.Text_IO;            use Ada.Text_IO;
with Ada.Strings.Unbounded;  use Ada.Strings.Unbounded;
with Ada.Calendar;           use Ada.Calendar;

with DB; use DB;

procedure Test is
   dBase      : DB.Object;
   qId        : DB.Query_ID;
   Nbr_Tuples : Integer := 0;
begin	
   Initialize( dBase );
   		 
   User( dBase,      "ACDE");
   Connect( dBase,   "localhost" );      

   Select_DB( dBase, "TestDB" );

   --------------------------------------------------------------------------------------
   begin   
      qID := Query( dBase, "select * from Test");

      while true loop
         declare
	    Insert_Time : Time;
	 begin
	    Nbr_Tuples := Nbr_Tuples + 1;
	    Put_Line( "'" & To_String( String_Field( dBase, qId, "id" ) ) & "'" );
	    Insert_Time := Date_Field( dBase, qID, 2);
            Next( dBase, qID );
	 exception
	    when Field_Parse_Error =>
	       Put_Line("Field parse error");
	       Next( dBase, qID );
	    when Others =>
	       raise;
	 end;
      end loop;
   exception
      when Field_Type_Error =>
      	 Put_Line("Field type error");
      when No_Query_Result =>
      	 Put_Line("Query Failed");
      when No_More_Rows =>
         Put_Line( "End of Query Tuples:" & Integer'Image( Nbr_Tuples ) );
      when The_Error : Others =>
         Put_Line( "An error has occured at:" & Integer'Image( Nbr_Tuples )  );
   end;
   Drop_Query( dBase, qID );

   --------------------------------------------------------------------------------------
   begin
      qID := Query( dBase, "select * from Object_Table");

      Nbr_Tuples := 0;

      while true loop
         Nbr_Tuples := Nbr_Tuples + 1;
	 Put_Line( "id = " & Integer'Image( Integer_Field(dBase, Qid, 1 ) ) );

	 -- Put_Line( "'" & Blob_Field( dBase, qId, 2 ) & "'" );
         Next( dBase, qID );
      end loop;

   exception
      when Field_Type_Error =>
      	 Put_Line("Field type error");
      when No_Query_Result =>
      	 Put_Line("Query Failed");
      when No_More_Rows =>
         Put_Line( "End of Query Tuples:" & Integer'Image( Nbr_Tuples ) );
      when The_Error : Others =>
         Put_Line( "An error has occured at:" & Integer'Image( Nbr_Tuples )  );
   end;

   Finalize( dBase );

end Test;
